---
title: Chip
desc: The QChip Vue component is a simple UI block entity, representing for example more advanced underlying data, such as a contact, but in a compact way.
keys: QChip
related:
  - /vue-components/avatar
  - /vue-components/icon
  - /vue-components/badge
---

The QChip component is basically a simple UI block entity, representing for example more advanced underlying data, such as a contact, in a compact way.

Chips can contain entities such as an avatar, text or an icon, optionally having a pointer too. They can also be closed or removed if configured so.

::: tip
Also check out [QBadge](/vue-components/badge).
:::


## QChip API

<doc-api file="QChip" />

## Usage
<doc-example title="Basic" file="QChip/Basic" />

<doc-example title="Dense" file="QChip/Dense" />

<doc-example title="Custom size" file="QChip/Sizes" />

<doc-example title="Square" file="QChip/Square" />

<doc-example title="Outline" file="QChip/Outline" />

<doc-example title="Clickable" file="QChip/Clickable" />

<doc-example title="Selected" file="QChip/Selected" />

<doc-example title="Removable" file="QChip/Removable" />

<doc-example title="Long label truncation" file="QChip/LongLabel" />
